Bug 972963 - X230 brightness hotkeys broken
X230 brightness hotkeys broken
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 19:27 EDT by clee
Modified: 2015-02-17 10:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:31:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clee 2013-06-10 19:27:18 EDT
Description of problem:
My LCD brightness hotkeys, on the F8 and F9 keys on my ThinkPad X230, do not work correctly on Fedora 19.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use F8 hotkey to try to lower brightness.

Actual results:
Brightness does not lower.

Expected results:
Brightness should lower.

Additional info:
This has been broken on the X230 since Fedora 18. Worked properly in F17.
Comment 1 Matthias Clasen 2013-06-10 19:54:54 EDT
what do those keys produce in xev ?
Comment 2 clee 2013-06-11 04:10:40 EDT
KeymapNotify event, serial 33, synthetic NO, window 0x0,
    keys:  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   
           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   

RRNotify event, serial 33, synthetic NO, window 0x1e00001,
    subtype XRROutputPropertyChangeNotifyEvent
    output LVDS1, property BACKLIGHT, timestamp 71636738, state NewValue

FocusOut event, serial 36, synthetic NO, window 0x1e00001,
    mode NotifyGrab, detail NotifyAncestor

FocusIn event, serial 36, synthetic NO, window 0x1e00001,
    mode NotifyUngrab, detail NotifyAncestor

KeymapNotify event, serial 36, synthetic NO, window 0x0,
    keys:  2   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   
           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   

RRNotify event, serial 36, synthetic NO, window 0x1e00001,
    subtype XRROutputPropertyChangeNotifyEvent
    output LVDS1, property BACKLIGHT, timestamp 71636990, state NewValue
Comment 3 Rolle 2013-11-29 17:04:01 EST
The same here with Laptop Fujitsu Lifebook E8420.
The FN-Keys don't change the backlight. The symbol occurs on the screen, but the backlight doesn't change the brightness. In gnome-shell the slider in the upper right menu works fine.

lspci -nn
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)

Fedora 20 beta, kernel 3.11.9
Comment 4 Fedora End Of Life 2015-01-09 13:23:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:31:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.